All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Interface StaticNodeStyleInterface

All Known Implementing Classes:
  ActionNode, ClassNode, LevelTreeNode, MDSelectorMenuItemNode, MenuBarNode, MenuItemNode, MenuNode, Node, NodeIcon, ProgressiveLevelTreeNode, SASListNode, SelectorMenuItemNode, TreeNode, TreeNodeAdaptor

    public interface StaticNodeStyleInterface

Defines an interface for accessing an individual node's styles.

A style is a set of property keys (Strings) with associated values (Objects) that are used as formatting defaults and rendering hints by a view.

If the value of either the node style or the default node style property changes, it is the responsibility of the implementation to notify a consumer of a change. A PropertyChangedEvent should be fired with either "nodeStyle" or "defaultNodeStyle" as the property name depending on which property has changed.

See Also:
  `NodeStyle`

Method Summary
`abstract StaticPropertyBagInterface` | `getDefaultNodeStyle()` Returns the default node style for this node and all of this node's descendants.
`abstract StaticPropertyBagInterface` | `getNodeStyle()` Returns the style for a node.
`abstract java.lang.String[]` | `getNodeTypes()` Returns the complete set of types for a node.

Method Detail

### getNodeStyle

    StaticPropertyBagInterface getNodeStyle()

  Returns the style for a node. Any values in the node style will not be inherited by descendants of this node.

  Returns:
    a StaticPropertyBagInterface or null

### getDefaultNodeStyle

    StaticPropertyBagInterface getDefaultNodeStyle()

  Returns the default node style for this node and all of this node's descendants.

  Returns:
    a StaticPropertyBagInterface or null

### getNodeTypes

    java.lang.String[] getNodeTypes()

  Returns the complete set of types for a node. NOTE: This property is not currently used.

  Returns:
    `null`, or a string array of all the possible node types.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.